org.apache.poi.xddf.usermodel

## Class XDDFPatternFillProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFPatternFillProperties

- All Implemented Interfaces:
    XDDFFillProperties

      @Beta
      public class XDDFPatternFillProperties
      extends java.lang.Object
      implements XDDFFillProperties

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `XDDFPatternFillProperties()`
    `protected` | `XDDFPatternFillProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFColor` | `getBackgroundColor()`
    `XDDFColor` | `getForegroundColor()`
    `PresetPattern` | `getPresetPattern()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties` | `getXmlObject()`
    `void` | `setBackgroundColor(XDDFColor color)`
    `void` | `setForegroundColor(XDDFColor color)`
    `void` | `setPresetPattern(PresetPattern pattern)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFPatternFillProperties

          public XDDFPatternFillProperties()

    - #### XDDFPatternFillProperties

          protected XDDFPatternFillProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTPatternFillProperties getXmlObject()

    - #### getPresetPattern

          public PresetPattern getPresetPattern()

    - #### setPresetPattern

          public void setPresetPattern(PresetPattern pattern)

    - #### getBackgroundColor

          public XDDFColor getBackgroundColor()

    - #### setBackgroundColor

          public void setBackgroundColor(XDDFColor color)

    - #### getForegroundColor

          public XDDFColor getForegroundColor()

    - #### setForegroundColor

          public void setForegroundColor(XDDFColor color)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.